﻿@{
    IEnumerable<MenuModel> WizardItems = ViewBag.WizardItems;
    var menuItems = await MenuDataHelper.GetMenuDataAsync();
}
<div class="wizard-steps">
    @foreach (var (index, member) in WizardItems.Select((member, i) => (i, member)))
    {
        var subactions = menuItems.Where(m => m.ParentId == member.Id).Select(m => m.Action);
        var subaction2 = member.Id == 21 ? "budget-info-express" : member.Id == 22 ? "investment-planning-express" : "";
        var finalSubactions = subactions.Append(subaction2);
        <div class="wizard-step" data-wizard-type="step" data-action="@member.Action" data-controller="@member.Controller" data-id="@member.Id" data-subactions="@string.Join(",",finalSubactions).TrimEnd(',')">
            <div class="wizard-wrapper">
                <div class="wizard-label p-1">
                    <h3>
                        <span class="wizard-order">@(index+1).</span>
                        <span class="wizard-title">@member.Title</span>
                    </h3>
                    <div class="wizard-desc">
                        @member.Desc
                    </div>
                </div>
            </div>
        </div>
    }
</div>
<script>
    setActiveWizard();
    var url = window.location.pathname;
    if ((url.includes("planning") || url.includes("social-security")) && !url.includes("express"))
        BindSubWizard();
    $(".wizard-step").on('click', function () {
        var frm = $(this).closest("form");
        var action = $(this).attr("data-action");
        var controller = $(this).attr("data-controller");
        var formState = frm.attr("data-state")
        if (action.includes("budget"))
            showVersionPopup("Budget");
        else if (action.includes("investment") && !action.includes("income"))
            showVersionPopup("Investment");
        else {
            loadPartialView(`${controller}/${action.toLowerCase().replace(/-/g, '')}`, "wizard-content-div", "wizard-main-div", function () {
                window.history.pushState("data", "title", action);
                setActiveWizard();
                $("#wizard-3").remove();
                $("#wizard-submenu").html("");
                BindSubWizard();
            });
        }
    });
    hideUnhideWizardItem();
</script>